﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace TestHdadmProject
{
   public  class BookMarkConverter: IMultiValueConverter
    {        
       public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
       {
           if (values[0] is FieldItemMetadataCollection)
           {
               var field = (values[0] as FieldItemMetadataCollection).Fields.Where(x => x.Name == "BookMark").FirstOrDefault();
               if (field != null)
               {
                   return Boolean.Parse(field.Value) ? Visibility.Visible : Visibility.Collapsed;
               }
               return Visibility.Collapsed;
           }
           return Visibility.Collapsed;
       }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
