﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace TestHdadmProject.Behaviors
{
    public class ComboEditorItemSelectedMouseLeaveBehavior
    {


        public static bool GetSelectedItemMouseLeave(DependencyObject obj)
        {
            return (bool)obj.GetValue(SelectedItemMouseLeaveProperty);
        }

        public static void SetSelectedItemMouseLeave(DependencyObject obj, bool value)
        {
            obj.SetValue(SelectedItemMouseLeaveProperty, value);
        }

        // Using a DependencyProperty as the backing store for SelectedItemMouseLeave.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SelectedItemMouseLeaveProperty =
            DependencyProperty.RegisterAttached("SelectedItemMouseLeave", typeof(bool), typeof(ComboEditorItemSelectedMouseLeaveBehavior), new PropertyMetadata(false, OnItemMouseLeave));

        private static void OnItemMouseLeave(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            var itemControl = d as Infragistics.Controls.Editors.ComboEditorItemControl;
            if (d != null) 
            {
                itemControl.MouseLeave += itemControl_MouseLeave;
            }
        }

        private static void itemControl_MouseLeave(object sender, System.Windows.Input.MouseEventArgs e)
        {
            var itemCtrl = sender as Infragistics.Controls.Editors.ComboEditorItemControl;
            //if (itemCtrl.Item.IsSelected)
            //{
                //VisualStateManager.GoToState(itemCtrl, "Selected", true);
           // }
        }


    }
}
